#!/usr/bin/gnuplot

print "# Greevese & Sauval (1998), Tab. I; solar, log scale, number of atoms:"

H  = 12.00
He = 10.93
C  =  8.52
N  =  7.92
O  =  8.83

print "H  = ", H
print "He = ", He
print "C  = ", C
print "N  = ", N
print "O  = ", O
print ""

print "# by number of atoms, normalized to H (as in Shellspec):"

f(x) = 10.**(x-12.)
nH  = f(H )
nHe = f(He)
nC  = f(C )
nN  = f(N )
nO  = f(O )

sum = nH+nHe+nC+nN+nO

print "nH  = ", nH
print "nHe = ", nHe
print "nC  = ", nC
print "nN  = ", nN
print "nO  = ", nO
print "sum = ", sum
print ""

print "# by mass, normalized to 1 (as in Mesastar):"

f(x,A) = x*A
mH  = f(nH , 1)
mHe = f(nHe, 4)
mC  = f(nC ,12)
mN  = f(nN ,14)
mO  = f(nO ,16)

sum = mH+mHe+mC+mN+mO

f(x) = x/sum
mH  = f(mH )
mHe = f(mHe)
mC  = f(mC )
mN  = f(mN )
mO  = f(mO )
sum = sum/sum
Z   = mC+mN+mO

print "mH  = ", mH
print "mHe = ", mHe
print "mC  = ", mC
print "mN  = ", mN
print "mO  = ", mO
print "sum = ", sum
print "Z   = ", Z
print ""

mC_solar = mC
mN_solar = mN

########################################################################

print "# Balachandran etal. (1986), beta Lyr:"
nH  = 0.4
nHe = 0.6
nC  = 2.e-2*nC  # i.e. approx. 1.e-2 in mass
nN  = 10.*nN

nH0 = nH
nHe0 = nHe
f(x) = x/nH0
nH  = f(nH )
nHe = f(nHe)
nC  = f(nC )
nN  = f(nN )
nO  = f(nO )

sum = nH+nHe+nC+nN+nO

print "nH  = ", nH
print "nHe = ", nHe
print "nC  = ", nC
print "nN  = ", nN
print "nO  = ", nO
print "sum = ", sum
print ""

# by mass, normalized to 1 (as in Mesastar):

f(x,A) = x*A
mH  = f(nH , 1)
mHe = f(nHe, 4)
mC  = f(nC ,12)
mN  = f(nN ,14)
mO  = f(nO ,16)

sum = mH+mHe+mC+mN+mO

f(x) = x/sum
mH  = f(mH )
mHe = f(mHe)
mC  = f(mC )
mN  = f(mN )
mO  = f(mO )
Z   = mC+mN+mO
sum = sum/sum

print "mH  = ", mH
print "mHe = ", mHe
print "mC  = ", mC, " = ", mC/mC_solar, " mC_solar"
print "mN  = ", mN, " = ", mN/mN_solar, " mN_solar"
print "mO  = ", mO
print "sum = ", sum
print "Z   = ", Z
print ""

